Bug 813281 - apply_errata - Option -n is not implemented.
Summary: apply_errata - Option -n is not implemented.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 550
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Jiří Mikulka
URL:
Whiteboard:
Depends On:
Blocks: sat550-lowbug
TreeView+ depends on / blocked
 
Reported: 2012-04-17 11:52 UTC by Dimitar Yordanov
Modified: 2014-10-06 13:46 UTC (History)
4 users (show)

Fixed In Version: spacewalk-utils-1.7.15-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-21 09:33:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dimitar Yordanov 2012-04-17 11:52:18 UTC
Description of problem:
In the apply_errata help is mencioned option

  -n            - call /usr/sbin/rhn_check rather than waiting for the next

but not implemented.


Version-Release number of selected component (if applicable):
spacewalk-utils-1.7.15-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. # apply_errata --help | grep rhn_check
-n            - call /usr/sbin/rhn_check rather than waiting for the next
2. grep rhn_check `which apply_errata`
   
Actual results:
1, rhn_check is mentioned only in the Help.

Expected results:
-n option is implemented.

Additional info:
Script implementing the -n option is Attached to this BZ.

Comment 1 Dimitar Yordanov 2012-04-17 11:56:26 UTC
Created attachment 578010 [details]
rhn_check -vv, -n option

Comment 2 Miroslav Suchý 2012-04-23 13:56:27 UTC
Fixed in 2d4ac5f8f57e1a8c03843a788eaf58eec11fe442

Comment 4 Miroslav Suchý 2012-04-23 14:40:15 UTC
syntax fix in fd03f7ddf9a1fba799dfa94cd73b15b282c6c0f6

Comment 8 Clifford Perry 2012-09-21 09:33:40 UTC
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite


Note You need to log in before you can comment on or make changes to this bug.